name: Custom JS Action

on:
  workflow_dispatch:

jobs:
  build:
    runs-on: ubuntu-latest

    steps:
      - name: Checkout Repository
        uses: actions/checkout@v4

      - name: Run Custom Action
        uses: ./.gitea/actions/js-action
        with:
          name: 'Hang'
        id: custom-action

      - name: Print Processed Name
        run: |
          echo "Processed Name: ${{ steps.custom-action.outputs.processed-name }}"
          echo "Workdir from js_action.yaml"
          ls -la